> For the complete documentation index, see [llms.txt](https://docs.hex-rays.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hex-rays.com/9.4/ida-actions/hx_collapseitem.md).

# hx\_CollapseItem

## Description

Collapse the selected multiline C statement into one line. It can be applied to **if**, **while**, **for**, **switch**, **do** keywords. The collapsed item will be replaced by its keyword and "...".

It can also be applied to the local variable declarations. This can be useful if there are too many variables and they make the output too long. All variable declarations will be replaced by just one line:

```
        // [COLLAPSED LOCAL DECLARATIONS. PRESS KEYPAD CTRL-"+" TO EXPAND]
```

For finer-grained control over `if` statements, the then- and else-branches can be folded independently with [Collapse then-branch](/9.4/ida-actions/hx_collapsethen.md), [Uncollapse then-branch](/9.4/ida-actions/hx_expandthen.md), [Collapse else-branch](/9.4/ida-actions/hx_collapseelse.md), and [Uncollapse else-branch](/9.4/ida-actions/hx_expandelse.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.4/ida-actions/hx_collapseitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
